From f4013b6189af731af42f99684ed7721076a54a0d Mon Sep 17 00:00:00 2001
From: Eelco Dolstra <eelco.dolstra@logicblox.com>
Date: Wed, 8 Jan 2014 17:56:58 +0100
Subject: [PATCH] Fix signed-binary-caches test

---
 tests/binary-cache.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/tests/binary-cache.sh b/tests/binary-cache.sh
index 71ede03c8..9bd4fecb6 100644
--- a/tests/binary-cache.sh
+++ b/tests/binary-cache.sh
@@ -59,7 +59,10 @@ clearStore
 
 rm -f $NIX_STATE_DIR/binary-cache*
 
-nix-store --option binary-caches "file://$cacheDir" --option signed-binary-caches 1 -r $outPath
+if nix-store --option binary-caches "file://$cacheDir" --option signed-binary-caches '*' -r $outPath; then
+    echo "unsigned binary cache incorrectly accepted"
+    exit 1
+fi
 
 
 # Test whether fallback works if we have cached info but the